package com.ruoyi.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 用于返回的测试用例VO类
 * @author gxk
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("测试用例VO类")
public class TestCaseVO {

    @ApiModelProperty("测试场景")
    private String testScenario;

    @ApiModelProperty("测试类型")
    private String testType;

    @ApiModelProperty("用例编号")
    private String usecaseNo;

    @ApiModelProperty("用例名称")
    private String name;

    @ApiModelProperty("工具")
    private String tools;

    @ApiModelProperty("对应输入")
    private String input;

    @ApiModelProperty("用例描述")
    private String description;

}
