package com.ruoyi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.domain.ModelTestTask;
import com.ruoyi.web.response.ModelTestTaskViewResponse;

import java.util.List;

/**
 *  车型试验任务Service接口
 * @author gxk
 */
public interface ModelTestTaskService extends IService<ModelTestTask> {

    /**
     * 查看车型试验任务详情
     *
     * @param taskId
     * @return
     */
    List<ModelTestTaskViewResponse> viewModelTestTask(Long taskId);

    /**
     * 开始车型试验任务
     * @param taskId
     */
    void startModelTestTask(Long taskId);
}
